Redmine - Defect #6941

Unable to export wiki page to text/html file
2010-11-19 08:18 - lllarion Kovalchuk

Status: Closed Start date: 2010-11-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

When | navigate to wiki page, and try to export it to html or text, | get the same result for both:

Original text of a wiki page

hl. Test
Test

I'm unable to get the version number of my redmine, because it is installed by admins on a separate server, and there is no place on
the redmine page, with the version.

The result of export:

\x68312e20546573740d40a0d0a54657374

Associated revisions

Revision 9361 - 2012-04-06 16:09 - Jean-Philippe Lang

Adds assertions on the content of a wiki page export (#6941).

Revision 9362 - 2012-04-06 17:31 - Jean-Philippe Lang

Adds assertions on the content of a versioned wiki page export (#6941).

Revision 9374 - 2012-04-08 23:10 - Jean-Philippe Lang
Upgrade required pg gem (#6941).

Revision 9388 - 2012-04-11 20:31 - Etienne Massip
Merged r9374 from trunk.

History

#1 - 2011-01-10 12:44 - Daniel Hofer

| also have the same problem with Redmine 1.0.5. But | had it since | installed Redmine 1.0.3.
Also if | "view differences" in the Wiki i also get two lines in the same format. | am using Redmine with Postgresq|.

#2 - 2011-04-27 21:13 - Anonymous

| also have the same problem with Redmine 1.1.2.

#3 - 2011-04-27 23:31 - Etienne Massip
- Status changed from New to Closed
It's a bug in the postgresql adapter with PG 9 which default bytea type format is now 'hex'.

See HowTo_make Wiki_history_working_with_Postgres_90, you can also consider switching to pg adapter, see Redminelnstall and this postgres-pr
adapter issue.
https://www.redmine.org/projects/redmine/wiki/HowTo_make_Wiki_history_working_with_Postgres_90
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Database
https://github.com/mneumann/postgres-pr/issues/4
https://github.com/mneumann/postgres-pr/issues/4

#4 - 2011-04-27 23:31 - Etienne Massip

- Resolution set to Invalid
